Bug 10840 - Re-add missing [% OPACResultsSidebar %]
Summary: Re-add missing [% OPACResultsSidebar %]
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Target Milestone: ---
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-09-07 15:25 UTC by M. Tompsett
Modified: 2014-12-07 20:02 UTC (History)
1 user (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 10840 - opac-facets.inc missing [% OPACResultsSidebar %] (882 bytes, patch)
2013-09-07 15:43 UTC, M. Tompsett
Details | Diff | Splinter Review
Bug 10840 - opac-facets.inc missing [% OPACResultsSidebar %] (975 bytes, patch)
2013-09-11 15:05 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
Bug 10840 - opac-facets.inc missing [% OPACResultsSidebar %] (1.63 KB, patch)
2013-09-12 05:46 UTC, Katrin Fischer
Details | Diff | Splinter Review
[PASSED QA] Bug 10840 - opac-facets.inc missing [% OPACResultsSidebar %] (1.79 KB, patch)
2013-09-12 05:47 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description M. Tompsett 2013-09-07 15:25:04 UTC
Bug 10405 rightly added id's to items, but inadvertently removed [% OPACResults Sidebar %] from the opac-facets.inc file. This bug rectifies that problem.

Test Plan:
Confirm the problem
===================
1) Using version 3.12.4 package installation, set OPACResultsSidebar system preference to some text.
2) In the OPAC, search for something
3) In the facets list on the left, the text should appear.
4) Using master installation, set OPACResultsSidebar system preference to some text.
5) In the OPAC, search for something
6) The facets will not have the text, though viewing the source, there is an empty <div id="opacresultssidebar">.

Correct the problem
===================
1) Apply the patch to the master system
2) In the OPAC, search again for something
3) The facets on the left will now have the text showing similar to the 3.12.4 version.
Comment 1 M. Tompsett 2013-09-07 15:43:46 UTC Comment hidden (obsolete)
Comment 2 M. Tompsett 2013-09-07 15:45:16 UTC
See the test plan in the first comment.
Comment 3 Tomás Cohen Arazi 2013-09-11 15:05:55 UTC Comment hidden (obsolete)
Comment 4 Katrin Fischer 2013-09-12 05:46:11 UTC Comment hidden (obsolete)
Comment 5 Katrin Fischer 2013-09-12 05:47:13 UTC
Created attachment 21000 [details] [review]
[PASSED QA] Bug 10840 - opac-facets.inc missing [% OPACResultsSidebar %]

Bug 10405 rightly added id's to items, but inadvertently removed
[% OPACResultsSidebar %] from the opac-facets.inc file. This
bug rectifies that problem.

Test Plan:
Confirm the problem
===================
1) Using version 3.12.4 package installation, set OPACResultsSidebar system preference to some text.
2) In the OPAC, search for something
3) In the facets list on the left, the text should appear.
4) Using master installation, set OPACResultsSidebar system preference to some text.
5) In the OPAC, search for something
6) The facets will not have the text, though viewing the source, there is an empty <div id="opacresultssidebar">.

Correct the problem
===================
1) Apply the patch to the master system
2) In the OPAC, search again for something
3) The facets on the left will now have the text showing similar to the 3.12.4 version

Signed-off-by: Tomas Cohen Arazi <tomascohen@gmail.com>
Is back! OPACResultsSidebar is back!

Signed-off-by: Katrin Fischer <Katrin.Fischer.83@web.de>
Copied test plan from bug report into commit message.
Template only change, works as expected.
Comment 6 Galen Charlton 2013-09-16 15:36:40 UTC
Pushed to master.  Thanks, Mark!